JavaScript
import Whop from '@whop/sdk';
const client = new Whop({
apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});
const stats = await client.stats.list();
console.log(stats.data);curl --request GET \
--url https://api.whop.com/api/v1/stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.whop.com/api/v1/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"data": [
{
"description": "<string>",
"key": "<string>",
"name": "<string>",
"properties": [
"<string>"
],
"windows": [
"<string>"
]
}
]
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}Stats
List Metrics
Lists every metric you can query, with its unit and the properties you can filter or break it down by.
GET
/
stats
JavaScript
import Whop from '@whop/sdk';
const client = new Whop({
apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});
const stats = await client.stats.list();
console.log(stats.data);Authorizations
A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************
Headers
Pins the request to a dated API version.
Example:
"2026-07-18"
Response
metric catalog
The available metrics.
Show child attributes
Show child attributes
⌘I

